<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf">

    <div prependId="false" class="ui segments">
        <h:form prependId="false" class="ui segment">
            <div class="ui grid">
                <div jsf:id="tituloDetalleCliente" class="eight wide column">
                    <div  style="font-size: 18px; font-weight: bold">
                        <i class="user icon" />
                        Cliente
                    </div>
                    <div jsf:rendered="#{empty detalleClienteManBean.idcliente}" style="color: gray">
                        Nuevo cliente
                    </div>
                    <div jsf:rendered="#{not empty detalleClienteManBean.idcliente}" style="color: gray">
                        Código: <span id="idcliente">#{detalleClienteManBean.idcliente}</span>
                    </div>
                </div>

                <div class="eight wide right aligned column">
                    <h:commandLink style="#{empty detalleClienteManBean.idcliente?'display: none':''}" id="btnAgregarCliente" class="ui green icon button"  action="#{detalleClienteManBean.limpiarCampos()}" pt:data-tooltip="Nuevo cliente" pt:data-inverted="" pt:data-position="bottom center">
                        <i class="add icon" />
                        <f:ajax render="formCliente tituloDetalleCliente tblSuscripciones tblCuotasSusc tblOtrosServicios" execute="@form" onevent="function(data){ajaxNuevoCliente(data);}" />
                    </h:commandLink>
                </div>
            </div>
        </h:form>
        <div class="ui segment blue">
            <h:form id="formCliente" prependId="false" class="ui form">
                <div class="fields">
                    <div class="eight wide field">
                        <label>Apellidos</label>
                        <h:inputText id="txfApellidosCli" pt:placeholder="Perez" value="#{detalleClienteManBean.apellidoCli}"/>
                    </div>
                    <div class="eight wide field">
                        <label>Nombres</label>
                        <h:inputText id="txfNombresCli" pt:placeholder="Juan" value="#{detalleClienteManBean.nombreCli}" />
                    </div>
                </div>
                <div id="fldRazonsSocialCli" class="field required">
                    <label>Razón social</label>
                    <h:inputText id="txfRazonSocialCli" pt:placeholder="Juan Perez" value="#{detalleClienteManBean.razonSocialCli}" />
                </div>
                <div class="fields">
                    <div class="twelve wide field">
                        <label>Documento de identidad</label>
                        <h:inputText id="txfCiCli" pt:type="number" pt:placeholder="1222333"  value="#{detalleClienteManBean.ciCli}" />
                    </div>
                    <div class="four wide field">
                        <label>DV RUC</label>
                        <h:inputText id="txfDvrucCi" pt:type="number" pt:placeholder="9" value="#{detalleClienteManBean.dvrucCli}" />
                    </div>
                </div>
                <div class="fields">
                    <div class="six wide field">
                        <label>Teléfono</label>
                        <h:inputText id="txfTelefonoCli" pt:placeholder="09xxyyyzzzz" value="#{detalleClienteManBean.telefonoCli}"/>
                    </div>
                    <div id="fieldBarrioCliente" class="ten wide required field">
                        <label>Barrio principal</label>
                        <div id="cmbBarrioCli" class="ui fluid search selection dropdown">
                            <input jsf:id="in-idbarriocli" jsf:value="#{detalleClienteManBean.idBarrioFacturacionCli}" type="hidden"/>
                            <i class="dropdown icon" />
                            <div class="default text">Ej: Centro</div>
                            <div class="menu">
                                <ui:repeat value="#{barriosManBean.lstBarriosOrdenados}" var="barrio" varStatus="barrioStatus">
                                    <div class="item" data-value="#{barrio.idbarrio}">#{barrio.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="field">
                    <label>Dirección principal</label>
                    <div id="searchDireccionCli" class="ui search">
                        <h:inputText id="in-barriocli" class="prompt" value="#{detalleClienteManBean.direccionFacturacionCli}" pt:placeholder="Ej: Tuyuti"/>
                        <div class="resutls"></div>
                    </div>
                </div>
                <div id="fieldCobradorCli" class="required field">
                        <label>Cobrador</label>
                        <div id="cmbCobradorCli" class="ui fluid search selection dropdown">
                            <h:inputHidden id="in-idcobrador-cli" value="#{detalleClienteManBean.idCobradorCli}"/>
                            <i class="dropdown icon" />
                            <div class="default text">Ej: Administración</div>
                            <div class="menu">
                                <ui:repeat value="#{detalleClienteManBean.lstCobradores}" var="cobracli">
                                    <div class="item" data-value="#{cobracli.idfuncionario}">#{cobracli.nombres} #{cobracli.apellidos}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>

                <h:commandLink id="bntGuardarCli" class="ui right labeled blue icon button" value="Guardar" onclick="return validarCli()" action="#{detalleClienteManBean.guardarCliente()}">
                    <i class="save icon" />
                    <f:ajax execute="@form" render="cabeceraMsgCli cuerpoMsgCli tipoMsgCli tituloDetalleCliente" onevent="function(data){ajaxGuardarCli(data)}" />
                </h:commandLink>

            </h:form>
        </div>
    </div>
    <h:form prependId="false">
        <div id="msgDetalleCli" class="ui hidden warning message">
            <h:inputHidden id="tipoMsgCli" value="#{detalleClienteManBean.tipoMsg}" />
            <i class="close icon"></i>
            <div class="header">
                <h:outputText id="cabeceraMsgCli" value="#{detalleClienteManBean.cabeceraMsgCli}" />
            </div>
            <h:outputText id="cuerpoMsgCli" value="#{detalleClienteManBean.cuerpoMsgCli}" />
        </div>
    </h:form>
    <h:outputScript target="body" library="js" name="detallecliente/formcliente.js" />
</ui:composition>
